LibreOffice: GenericDrawPage Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
GenericDrawPage Service Referencepublished

This abstract service is implemented by every page of a DrawingDocument. More...

`import"GenericDrawPage.idl";`

Inheritance diagram for GenericDrawPage:

## Exported Interfaces
interface | com::sun::star::drawing::XShapes
| manages the Shapes of this page. More...
interface | com::sun::star::drawing::XShapeGrouper
| With this interface you can group/ungroup a collection of Shapes. More...
interface | com::sun::star::drawing::XShapeCombiner
| With this interface you can combine/split a collection of Shapes. More...
interface | com::sun::star::drawing::XShapeBinder
| With this interface you can bind/unbind a collection of Shapes. More...
interface | com::sun::star::container::XNamed
| Gets or sets the name of this page. More...
interface | com::sun::star::beans::XPropertySet
| gives you access to the properties of this DrawPage. More...

## Public Attributes
long | BorderBottom
| This is the border at the bottom. More...
long | BorderLeft
| This is the border at the left. More...
long | BorderRight
| This is the border at the right. More...
long | BorderTop
| This is the border at the top. More...
long | Height
| This is the height. More...
long | Width
| This is the width. More...
short | Number
| This is the number of this page, starting with 1. More...
com::sun::star::view::PaperOrientation | Orientation
| This is the orientation of this page. More...
com::sun::star::container::XNameContainer | UserDefinedAttributes
| this property stores xml attributes. More...
boolean | IsBackgroundDark
| this property is true if the averaged background filling colors luminance is below an application specified threshold value. More...
com::sun::star::container::XIndexAccess | NavigationOrder
| this index access defines a navigation order for the top level shapes inside this page. More...
boolean | BackgroundFullSize
| does the background cover the full page or only inside the margins? More...

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XShapeGrouper
com::sun::star::drawing::XShapeGroup | group ([in] com::sun::star::drawing::XShapes xShapes)
| groups the Shapes inside a collection. More...
void | ungroup ([in] com::sun::star::drawing::XShapeGroup aGroup)
| ungroups a given GroupShape. More...
Protected Member Functions inherited from XShapeCombiner
com::sun::star::drawing::XShape | combine ([in] com::sun::star::drawing::XShapes xShapes)
| combines Shapes More...
void | split ([in] com::sun::star::drawing::XShape Group)
| splits Shapes. More...
Protected Member Functions inherited from XShapeBinder
com::sun::star::drawing::XShape | bind ([in] com::sun::star::drawing::XShapes xShapes)
| binds Shapes together. More...
void | unbind ([in] com::sun::star::drawing::XShape xShape)
| breaks a Shape into its line segments More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

This abstract service is implemented by every page of a DrawingDocument.

Example to create and insert a couple of LineShapes:

xPage = xDoc.DrawPages(0)
for x% = 0 to 200
xShape = xProv.createInstance( "com::sun::star::drawing::LineShape" )
xShape.LineColor = rgb( 255, 0, n%+20 )
xShape.LineWidth = 20
xShape.Position = Point( x%, 2*x% )
xShape.Size = Size( 300-x%, 20 )
xPage.add( xShape )
next x%

Developers Guide
  Drawings - Page Formatting

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet
| optional

gives you access to the properties of this DrawPage.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed
| optional

Gets or sets the name of this page.

        <p>Duplicated page names inside a document are not allowed.

## ◆ com::sun::star::drawing::XShapeBinder

interface com::sun::star::drawing::XShapeBinder
| optional

With this interface you can bind/unbind a collection of Shapes.

## ◆ com::sun::star::drawing::XShapeCombiner

interface com::sun::star::drawing::XShapeCombiner
| optional

With this interface you can combine/split a collection of Shapes.

## ◆ com::sun::star::drawing::XShapeGrouper

interface com::sun::star::drawing::XShapeGrouper

With this interface you can group/ungroup a collection of Shapes.

## ◆ com::sun::star::drawing::XShapes

interface com::sun::star::drawing::XShapes

manages the Shapes of this page.

        <p>It also lets you add new Shapes. The program currently
        requires that these Shapes be created by the factory of
        the document.

        @see    DrawingDocument

## Member Data Documentation

## ◆ BackgroundFullSize

boolean BackgroundFullSize
| optionalproperty

does the background cover the full page or only inside the margins?

Since
  LibreOffice 7.2

## ◆ BorderBottom

long BorderBottom
| optionalproperty

This is the border at the bottom.

## ◆ BorderLeft

long BorderLeft
| optionalproperty

This is the border at the left.

## ◆ BorderRight

long BorderRight
| optionalproperty

This is the border at the right.

## ◆ BorderTop

long BorderTop
| optionalproperty

This is the border at the top.

## ◆ Height

long Height
| optionalproperty

This is the height.

## ◆ IsBackgroundDark

boolean IsBackgroundDark
| optionalpropertyreadonly

this property is true if the averaged background filling colors luminance is below an application specified threshold value.

This can be used to determine the actual value of an auto color.

## ◆ NavigationOrder

com::sun::star::container::XIndexAccess NavigationOrder
| optionalproperty

this index access defines a navigation order for the top level shapes inside this page.

By default this is equal to the index access of the slide itself, making the z-order the default navigation order for top level shapes.

## ◆ Number

short Number
| optionalpropertyreadonly

This is the number of this page, starting with 1.

## ◆ Orientation

com::sun::star::view::PaperOrientation Orientation
| optionalproperty

This is the orientation of this page.

## ◆ UserDefinedAttributes

com::sun::star::container::XNameContainer UserDefinedAttributes
| optionalproperty

this property stores xml attributes.

They will be saved to and restored from automatic styles inside xml files.

See also
  com::sun::star::xml::AttributeContainer

## ◆ Width

long Width
| optionalproperty

This is the width.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/GenericDrawPage.idl